Difference between revisions of "Arch Add/fr"

From FreeCAD Documentation
Jump to: navigation, search
Line 3: Line 3:
 
==Description==  
 
==Description==  
  
The Add tool allows you to do 4 kinds of operations:
+
 
* Add [[Part Module|shape]]-based objects to an Arch component, such as a [[Arch Wall|wall]] or [[Arch Structure|structure]]. These objects make then part of the Arch component, and allow you to modify its shape but keeping its base properties such as width and height
+
L'outil '''Ajouter''' [[Image:Arch Add.png|16px]] vous permet de faire 2 types d'opérations :
* Add Arch components, such as a [[Arch Wall|walls]] or [[Arch Structure|structures]], to a group-based arch object such as [[Arch Floor|floors]].
+
* Ajouter un [[Part Module/fr|objet]] de base à un compososant '''Arch'''itecture, par exemple un [[Arch Wall/fr|mur]] [[File:Arch_Wall.png|16px]] ou une [[Arch Structure/fr|structure]] [[File:Arch_Structure.png|16px]].
* Add [[Arch Axis|axis systems]] to [[Arch Structure|structural objects]]
+
Ces objets font alors partie des composants d'Architecture, et vous permettent de modifier sa forme, mais en gardant ses propriétés de base telles que la largeur et la hauteur.
* Add objects to [[Arch SectionPlane|section planes]]
+
* Ajouter des composants '''Arch''', comme des [[Arch Wall/fr|murs]] [[File:Arch_Wall.png|16px]] ou des [[Arch Structure/fr|structures]] [[File:Arch_Structure.png|16px]], dans une [[Arch Cell/fr|cellule]] [[File:Arch_Cell.png|16px]] ou d'autres objets à base de cellules tels que les [[Arch Floor/fr|planchers]] [[File:Arch_Floor.png|16px]].
  
 
[[Image:Arch Add example.jpg]]
 
[[Image:Arch Add example.jpg]]

Revision as of 01:18, 29 November 2013

Arch Add.svg Arch Addition

Emplacement du menu
Arch -> Add
Ateliers
Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Arch Remove


Description

L'outil Ajouter Arch Add.png vous permet de faire 2 types d'opérations :

  • Ajouter un objet de base à un compososant Architecture, par exemple un mur Arch Wall.png ou une structure Arch Structure.png.

Ces objets font alors partie des composants d'Architecture, et vous permettent de modifier sa forme, mais en gardant ses propriétés de base telles que la largeur et la hauteur.

Arch Add example.jpg

In the above image, a box is being added to a wall.

How to use

  1. Select the object(s) to be added, then the "host" object (the host object must be the last one you selected)
  2. Press the Arch Add.png Add button

Scripting

The Add tool can by used in macros and from the python console by using the following function:

addComponents (objectsList,hostObject): 
  • Adds the given object or the objects from the given list as components to the given host Object. Use this for example to add windows to a wall, or to add walls to a floor.
  • Returns nothing.

Example:

import FreeCAD, Arch, Draft, Part
line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
wall = Arch.makeWall(line)
box = Part.makeBox(1,1,1)
Arch.addComponents(box,wall)
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎日本語 • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎中文(中国大陆)‎